ONVIF::Device::Types::PanTiltLimits(3)

NAME
ONVIF::Device::Types::PanTiltLimits

DESCRIPTION
Perl data type class for the XML Schema defined complexType PanTiltLimits from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Range

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PanTiltLimits
   Range =>  { # ONVIF::Device::Types::Space2DDescription
     URI =>  $some_value, # anyURI
     XRange =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     YRange =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL